com.fasterxml.jackson.databind.ext

## Class Java7HandlersImpl

- java.lang.Object
- - com.fasterxml.jackson.databind.ext.Java7Handlers
  - - com.fasterxml.jackson.databind.ext.Java7HandlersImpl

    public class Java7HandlersImpl
    extends Java7Handlers

Since:
  2.10

### Constructor Summary

Constructors
Constructor and Description
`Java7HandlersImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `getClassJavaNioFilePath()`
`JsonDeserializer<?>` `getDeserializerForJavaNioFilePath(Class<?> rawType)`
`JsonSerializer<?>` `getSerializerForJavaNioFilePath(Class<?> rawType)`

### Methods inherited from class com.fasterxml.jackson.databind.ext.Java7Handlers

`instance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Java7HandlersImpl

    public Java7HandlersImpl()

### Method Detail

#### getClassJavaNioFilePath

    public Class<?> getClassJavaNioFilePath()

Specified by:
  `getClassJavaNioFilePath` in class `Java7Handlers`

#### getDeserializerForJavaNioFilePath

    public JsonDeserializer<?> getDeserializerForJavaNioFilePath(Class<?> rawType)

Specified by:
  `getDeserializerForJavaNioFilePath` in class `Java7Handlers`

#### getSerializerForJavaNioFilePath

    public JsonSerializer<?> getSerializerForJavaNioFilePath(Class<?> rawType)

Specified by:
  `getSerializerForJavaNioFilePath` in class `Java7Handlers`